Bug 1004678 - Review Request: python-cov-core - Plugin core for use by pytest-cov, nose-cov and nose2-cov
Review Request: python-cov-core - Plugin core for use by pytest-cov, nose-cov...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 04:10 EDT by Bohuslav "Slavek" Kabrda
Modified: 2014-02-25 19:04 EST (History)
3 users (show)

See Also:
Fixed In Version: python-cov-core-1.7-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-09-05 04:10:12 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/cov-core/python-cov-core.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/cov-core/python-cov-core-1.7-1.fc19.src.rpm
Description:
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.
Fedora Account System Username: bkabrda
Comment 1 Christopher Meng 2013-09-05 10:59:57 EDT
Package looks good.

APPROVED.
Comment 2 Christopher Meng 2013-09-05 11:25:13 EDT
Ah... bugzilla just caught errors. 

Please note that python-devel should be python2-devel.
Comment 3 Bohuslav "Slavek" Kabrda 2013-09-06 04:41:31 EDT
(In reply to Christopher Meng from comment #2)
> Ah... bugzilla just caught errors. 
> 
> Please note that python-devel should be python2-devel.

Oh snap, I always forget that :)

Thanks for the review, I'll replace python-devel with python2-devel before committing.


New Package SCM Request
=======================
Package Name: python-cov-core
Short Description: Plugin core for use by pytest-cov, nose-cov and nose2-cov
Owners: bkabrda
Branches: f20
InitialCC:
Comment 4 Gwyn Ciesla 2013-09-06 08:19:42 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-16 04:40:12 EDT
python-cov-core-1.7-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-cov-core-1.7-2.fc20
Comment 6 Fedora Update System 2013-09-16 12:13:08 EDT
python-cov-core-1.7-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 7 Fedora Update System 2013-09-24 18:54:44 EDT
python-cov-core-1.7-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 8 Orion Poplawski 2014-02-25 19:04:45 EST
FYI - python-pytest-cov review is bug 1069940

Note You need to log in before you can comment on or make changes to this bug.